def text_clear(word):
    from stemming.porter2 import stem

    word = word.lower()
    texts = stem(word)
    return texts

# import nltk
from nltk.stem.lancaster import LancasterStemmer


if __name__ == "__main__":
    st = LancasterStemmer()
    test_list = ['little', 'long', 'longer', 'longest', 'family', 'trendline', 'unable', 'able', 'understable', "TomSoyr", 'largest', 'aumobiles' ]
    for item_text in test_list:
        print(item_text, ':', text_clear(item_text), ":", st.stem(item_text))